import { Text } from 'ink';
import React from 'react';
import { readableTime } from '../utils.js';
export function Timer({ color, isStopped, unit, }) {
    const [time, setTime] = React.useState(0);
    const [previousDate, setPreviousDate] = React.useState(Date.now());
    React.useEffect(() => {
        if (isStopped) {
            setTime(time + (Date.now() - previousDate));
            setPreviousDate(Date.now());
            return () => { };
        }
        const intervalId = setInterval(() => {
            setTime(time + (Date.now() - previousDate));
            setPreviousDate(Date.now());
        }, unit === 'ms' ? 1 : 1000);
        return () => {
            clearInterval(intervalId);
        };
    }, [time, isStopped, previousDate, unit]);
    return React.createElement(Text, { color: color }, readableTime(time, unit));
}
