import { Column, Config, Sort } from './types.js';
/**
 * Intersperses a list of elements with another element.
 *
 * @example
 * ```js
 * intersperse(() => 'foo', [1, 2, 3]) // => [1, 'foo', 2, 'foo', 3]
 * ```
 */
export declare function intersperse<T, I>(intersperser: (index: number) => I, elements: T[]): (T | I)[];
export declare function sortData<T extends Record<string, unknown>>(data: T[], sort?: Sort<T> | undefined): T[];
export declare function allKeysInCollection<T extends Record<string, unknown>>(data: T[]): (keyof T)[];
export declare function determineWidthOfWrappedText(text: string): number;
export declare function getColumns<T extends Record<string, unknown>>(config: Config<T>, headings: Partial<T>): Column<T>[];
export declare function getHeadings<T extends Record<string, unknown>>(config: Config<T>): Partial<T>;
export declare function maybeStripAnsi<T extends Record<string, unknown>[]>(data: T, noStyle: boolean): T;
/**
 * Determines whether the plain text table should be used.
 *
 * If the OCLIF_TABLE_SKIP_CI_CHECK environment variable is set to a truthy value, the CI check will be skipped.
 *
 * If the CI environment variable is set, the plain text table will be used.
 *
 * @returns {boolean} True if the plain text table should be used, false otherwise.
 */
export declare function shouldUsePlainTable(): boolean;
