import { Readable, ReadableOptions } from 'node:stream';
import { TestResult } from '../tests';
export interface TapResult {
    description: string;
    diagnostics: string[];
    outcome: string;
    testNumber: number;
}
export type TapFormatTransformerOptions = ReadableOptions & {
    bufferSize?: number;
};
export declare class TapFormatTransformer extends Readable {
    private readonly logger;
    private testResult;
    private epilogue?;
    private buffer;
    private bufferSize;
    constructor(testResult: TestResult, epilogue?: string[], options?: TapFormatTransformerOptions);
    private pushToBuffer;
    _read(): void;
    format(): void;
    buildTapResults(): void;
    private buildTapDiagnostics;
}
