import { Readable, ReadableOptions } from 'node:stream';
import { TestResult } from '../tests';
export type TestResultStringifyStreamOptions = ReadableOptions & {
    bufferSize?: number;
};
export declare class TestResultStringifyStream extends Readable {
    private readonly testResult;
    private readonly logger;
    private buffer;
    private readonly bufferSize;
    constructor(testResult: TestResult, options?: TestResultStringifyStreamOptions);
    private pushToBuffer;
    _read(): void;
    format(): void;
    buildTests(): void;
    buildCodeCoverage(): void;
    static fromTestResult(testResult: TestResult, options?: TestResultStringifyStreamOptions): TestResultStringifyStream;
    private pushArrayToBuffer;
}
