import { Connection } from '@salesforce/core';
import { ApexTestProgressValue, NamespaceInfo, TestResult, TestResultRaw } from './types';
import type { QueryResult } from '@jsforce/jsforce-node';
import { Progress } from '../common';
import { CodeCoverage } from './codeCoverage';
export declare function calculatePercentage(dividend: number, divisor: number): string;
export declare function stringify(jsonObj: object): string;
export declare function queryNamespaces(connection: Connection): Promise<NamespaceInfo[]>;
export declare const queryAll: <R>(connection: Connection, query: string, tooling?: boolean) => Promise<QueryResult<R>>;
export declare const getJsonIndent: () => number | undefined;
export declare const getBufferSize: () => number;
export declare const resetLimitsForTesting: () => void;
export declare const transformTestResult: (rawResult: TestResultRaw) => TestResult;
export declare const calculateCodeCoverage: (codeCoverageInstance: CodeCoverage, codeCoverage: boolean, apexTestClassIdSet: Set<string>, result: TestResultRaw, isAsync: boolean, progress?: Progress<ApexTestProgressValue>) => Promise<void>;
