import { LoggerLevelValue } from '@salesforce/core';
/**
 * This decorator can be used to annotate functions in a class, so that the elapsed time
 * spent in the class can be sent to telemetry.
 *
 * @returns
 * @param loggerName - name of the child logger, defaults to 'elapsedTime'
 * @param level - log level - defaults to debug
 */
export declare function elapsedTime(loggerName?: string, level?: LoggerLevelValue): (target: object, propertyKey: string, descriptor: TypedPropertyDescriptor<any>) => TypedPropertyDescriptor<any>;
