import { SandboxProcessObject, SandboxRequest } from '../org/org';
import { TTLConfig } from './ttlConfig';
export type SandboxRequestCacheEntry = {
    alias?: string;
    setDefault?: boolean;
    prodOrgUsername: string;
    action: 'Create' | 'Refresh';
    sandboxProcessObject: Partial<SandboxProcessObject>;
    sandboxRequest: Partial<SandboxRequest>;
    tracksSource?: boolean;
};
export declare class SandboxRequestCache extends TTLConfig<TTLConfig.Options, SandboxRequestCacheEntry> {
    static getDefaultOptions(): TTLConfig.Options;
    static unset(key: string): Promise<void>;
    static set(key: string, sandboxProcessObject: SandboxRequestCacheEntry): Promise<void>;
    static getFileName(): string;
}
