/**
 * A wrapper for console.log that returns the input value unmodified
 *
 * ``` ts
 * // peek inside a chain of map functions
 * [1,2,3,4,5].map(logFn).map(yourNextFunction)
 *
 * // wrap a returned function call to see what it returns
 * return logFn(otherFunction())
 * ```
 */
export declare const logFn: <T>(x: T) => T;
