import { Connection, SfProject } from '@salesforce/core';
import { ConvertPackageOptions, PackageVersionCreateRequestResult, PackagingSObjects } from '../interfaces';
export declare function findOrCreatePackage2(seedPackage: string, connection: Connection, project?: SfProject): Promise<string>;
export declare function convertPackage(pkg: string, connection: Connection, options: ConvertPackageOptions, project?: SfProject): Promise<PackageVersionCreateRequestResult>;
/**
 * Convert the list of command line options to a JSON object that can be used to create an Package2VersionCreateRequest entity.
 *
 * @param context: command context
 * @param packageId: package2 id to create a package version for
 * @returns {{Package2Id: string, Package2VersionMetadata: *, Tag: *, Branch: number}}
 * @private
 */
export declare function createPackageVersionCreateRequest(context: {
    installationkey?: string;
    definitionfile?: string;
    buildinstance?: string;
    seedmetadata?: string;
}, packageId: string, apiVersion: string): Promise<PackagingSObjects.Package2VersionCreateRequest>;
