import { Connection, SfProject } from '@salesforce/core';
import { PackagePackageDir } from '@salesforce/schemas';
import { PackageCreateOptions, PackagingSObjects } from '../interfaces';
type Package2Request = Pick<PackagingSObjects.Package2, 'Name' | 'Description' | 'NamespacePrefix' | 'ContainerOptions' | 'IsOrgDependent' | 'PackageErrorUsername'>;
export declare function createPackageRequestFromContext(project: SfProject, options: PackageCreateOptions): Package2Request;
/**
 * Create packageDirectory json entry for this package that can be written to sfdx-project.json
 *
 * @param project
 * @param options - package create options
 * @private
 */
export declare function createPackageDirEntry(project: SfProject, options: PackageCreateOptions): PackagePackageDir;
export declare function createPackage(connection: Connection, project: SfProject, options: PackageCreateOptions): Promise<{
    Id: string;
}>;
export {};
