import { Connection } from '@salesforce/core';
import { QueryResult } from '@jsforce/jsforce-node';
import { PackageVersionListOptions, PackageVersionListResult } from '../interfaces';
export declare const DEFAULT_ORDER_BY_FIELDS = "Package2Id, Branch, MajorVersion, MinorVersion, PatchVersion, BuildNumber";
/**
 * Returns all the package versions that are available in the org, up to 10,000.
 * If more records are needed use the `SF_ORG_MAX_QUERY_LIMIT` env var.
 *
 * @param connection
 * @param options (optional) PackageVersionListOptions
 */
export declare function listPackageVersions(connection: Connection, options?: PackageVersionListOptions): Promise<QueryResult<PackageVersionListResult>>;
export declare function constructQuery(connectionVersion: number, options?: PackageVersionListOptions): string;
export declare function assembleQueryParts(select: string, where: string[], orderBy?: string): string;
export declare function constructWhere(options?: PackageVersionListOptions): string[];
export declare function validateDays(paramName: string, lastDays?: number): number;
