import { SfCommand } from '@salesforce/sf-plugins-core';
import { RunResult } from '../../../reporters/index.js';
export default class Test extends SfCommand<RunResult> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly deprecateAliases = true;
    static readonly aliases: string[];
    static readonly flags: {
        'target-org': import("@oclif/core/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/interfaces").CustomOptions>;
        'api-version': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        loglevel: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'test-run-id': import("@oclif/core/interfaces").OptionFlag<string, import("@oclif/core/interfaces").CustomOptions>;
        'code-coverage': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        'detailed-coverage': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        'output-dir': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'result-format': import("@oclif/core/interfaces").OptionFlag<string, import("@oclif/core/interfaces").CustomOptions>;
        concise: import("@oclif/core/interfaces").BooleanFlag<boolean>;
    };
    run(): Promise<RunResult>;
}
