import { LogRecord } from '@salesforce/apex-node';
import { SfCommand } from '@salesforce/sf-plugins-core';
export type LogListResult = LogRecord[];
export default class Log extends SfCommand<LogListResult> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly deprecateAliases = true;
    static readonly aliases: string[];
    static readonly flags: {
        'target-org': import("@oclif/core/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/interfaces").CustomOptions>;
        'api-version': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        loglevel: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
    };
    run(): Promise<LogListResult>;
}
export declare const formatStartTime: (lr: LogRecord) => LogRecord;
