import { SfCommand } from '@salesforce/sf-plugins-core';
export type ExecuteResult = {
    compiled: boolean;
    success: boolean;
    line: number;
    column: number;
    exceptionStackTrace: string;
    compileProblem: string;
    logs: string | undefined;
    exceptionMessage: string;
};
export default class Run extends SfCommand<ExecuteResult> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly aliases: string[];
    static deprecateAliases: boolean;
    static readonly flags: {
        'target-org': import("@oclif/core/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/interfaces").CustomOptions>;
        'api-version': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        loglevel: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        file: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
    };
    run(): Promise<ExecuteResult>;
}
