import { SfCommand } from '@salesforce/sf-plugins-core';
import { AuthFields } from '@salesforce/core';
export default class LoginAccessToken extends SfCommand<AuthFields> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly deprecateAliases = true;
    static readonly aliases: string[];
    static readonly flags: {
        'instance-url': import("@oclif/core/interfaces").OptionFlag<import("url").URL, import("@oclif/core/interfaces").CustomOptions>;
        'set-default-dev-hub': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        'set-default': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        alias: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'no-prompt': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        loglevel: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
    };
    private flags;
    run(): Promise<AuthFields>;
    private getUserInfo;
    private storeAuthFromAccessToken;
    private saveAuthInfo;
    private overwriteAuthInfo;
    private getAccessToken;
}
