import { type AuthFields, type DeviceCodeResponse } from '@salesforce/core';
import { SfCommand } from '@salesforce/sf-plugins-core';
export type DeviceLoginResult = (AuthFields & DeviceCodeResponse) | Record<string, never>;
export default class LoginDevice extends SfCommand<DeviceLoginResult> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly flags: {
        'client-id': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'instance-url': import("@oclif/core/interfaces").OptionFlag<import("url").URL | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'set-default-dev-hub': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        'set-default': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        alias: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        loglevel: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
    };
    run(): Promise<DeviceLoginResult>;
}
