import { SfCommand } from '@salesforce/sf-plugins-core';
import { AuthFields } from '@salesforce/core';
import { Interfaces } from '@oclif/core';
export default class LoginJwt extends SfCommand<AuthFields> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly flags: {
        username: Interfaces.OptionFlag<string, Interfaces.CustomOptions>;
        'jwt-key-file': Interfaces.OptionFlag<string, Interfaces.CustomOptions>;
        'client-id': Interfaces.OptionFlag<string, Interfaces.CustomOptions>;
        'instance-url': Interfaces.OptionFlag<import("url").URL | undefined, Interfaces.CustomOptions>;
        'set-default-dev-hub': Interfaces.BooleanFlag<boolean>;
        'set-default': Interfaces.BooleanFlag<boolean>;
        alias: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        'no-prompt': Interfaces.BooleanFlag<boolean>;
        loglevel: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
    };
    private flags;
    private logger;
    run(): Promise<AuthFields>;
    private initAuthInfo;
}
