import { HumanSearchReporter } from './reporters/search/humanSearchReporter.js';
import { JsonSearchReporter } from './reporters/search/reporter.js';
import { CsvSearchReporter } from './reporters/search/csvSearchReporter.js';
export const displaySearchResults = (queryResult, resultFormat) => {
    let reporter;
    switch (resultFormat) {
        case 'human':
            reporter = new HumanSearchReporter(queryResult);
            break;
        case 'csv':
            reporter = new CsvSearchReporter(queryResult);
            break;
        case 'json':
            reporter = new JsonSearchReporter(queryResult);
            break;
    }
    // delegate to selected reporter
    reporter.display();
};
//# sourceMappingURL=searchUtils.js.map