import { SfCommand } from '@salesforce/sf-plugins-core';
import { PreviewResult } from '../../../utils/previewOutput.js';
export default class DeployMetadataPreview extends SfCommand<PreviewResult> {
    static readonly description: string;
    static readonly summary: string;
    static readonly examples: string[];
    static readonly requiresProject = true;
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly flags: {
        'ignore-conflicts': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        manifest: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        metadata: import("@oclif/core/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'source-dir': import("@oclif/core/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'target-org': import("@oclif/core/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/interfaces").CustomOptions>;
        concise: import("@oclif/core/interfaces").BooleanFlag<boolean>;
    };
    run(): Promise<PreviewResult>;
}
