import { Org } from '@salesforce/core';
import { SfCommand } from '@salesforce/sf-plugins-core';
import { DeployResultJson } from '../../../utils/types.js';
export default class DeployMetadataReport extends SfCommand<DeployResultJson> {
    static readonly description: string;
    static readonly summary: string;
    static readonly examples: string[];
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly flags: {
        'target-org': import("@oclif/core/interfaces").OptionFlag<Org, import("@oclif/core/interfaces").CustomOptions>;
        'job-id': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'use-most-recent': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        'coverage-formatters': import("@oclif/core/interfaces").OptionFlag<string[] | undefined, import("@oclif/core/interfaces").CustomOptions>;
        junit: import("@oclif/core/interfaces").BooleanFlag<boolean>;
        'results-dir': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        wait: import("@oclif/core/interfaces").OptionFlag<import("@salesforce/kit").Duration, import("@oclif/core/interfaces").CustomOptions>;
    };
    run(): Promise<DeployResultJson>;
}
