export type NpmInfo = {
    name: string;
    description: string;
    homepage: string;
};
export type StarInfo = {
    downloads: string;
};
export type SearchInfo = {
    objects: Array<{
        package: {
            name: string;
            date: string;
        };
    }>;
};
export type DiscoverResult = NpmInfo & StarInfo & {
    published: string;
};
type QueryResult = [NpmInfo, StarInfo, SearchInfo];
export declare const query: (packages: string[]) => Promise<Array<[NpmInfo, StarInfo, SearchInfo]>>;
export declare const transform: (queryResult: QueryResult[]) => DiscoverResult[];
/** word wrap inside the description.  Also removes line empty lines and markdown dividers */
export declare const descriptionTransform: (description: string) => string;
declare const _default: {
    query: (packages: string[]) => Promise<Array<[NpmInfo, StarInfo, SearchInfo]>>;
    transform: (queryResult: QueryResult[]) => DiscoverResult[];
    descriptionTransform: (description: string) => string;
};
export default _default;
