import { SfCommand } from '@salesforce/sf-plugins-core';
import { Org } from '@salesforce/core';
import { OrgDisplayReturn } from '../../shared/orgTypes.js';
export declare class OrgDisplayCommand extends SfCommand<OrgDisplayReturn> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly aliases: string[];
    static deprecateAliases: boolean;
    static readonly flags: {
        'target-org': import("@oclif/core/interfaces").OptionFlag<Org, import("@oclif/core/interfaces").CustomOptions>;
        'api-version': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        verbose: import("@oclif/core/interfaces").BooleanFlag<boolean>;
        loglevel: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
    };
    private org;
    run(): Promise<OrgDisplayReturn>;
    private print;
    private getScratchOrgInformation;
}
