import { SfCommand } from '@salesforce/sf-plugins-core';
import { Org } from '@salesforce/core';
export declare class OrgOpenCommand extends SfCommand<OrgOpenOutput> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly aliases: string[];
    static deprecateAliases: boolean;
    static readonly flags: {
        'target-org': import("@oclif/core/interfaces").OptionFlag<Org, import("@oclif/core/interfaces").CustomOptions>;
        'api-version': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        private: import("@oclif/core/interfaces").BooleanFlag<boolean>;
        browser: import("@oclif/core/interfaces").OptionFlag<"chrome" | "edge" | "firefox" | undefined, import("@oclif/core/interfaces").CustomOptions>;
        path: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'url-only': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        loglevel: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'source-file': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
    };
    run(): Promise<OrgOpenOutput>;
}
export type OrgOpenOutput = {
    url: string;
    username: string;
    orgId: string;
};
