import { Duration } from '@salesforce/kit';
import { Interfaces } from '@oclif/core';
import { SandboxCommandBase, SandboxCommandResponse } from '../../../shared/sandboxCommandBase.js';
export default class RefreshSandbox extends SandboxCommandBase<SandboxCommandResponse> {
    static summary: string;
    static description: string;
    static examples: string[];
    static flags: {
        'no-auto-activate': Interfaces.BooleanFlag<boolean>;
        wait: Interfaces.OptionFlag<Duration, Interfaces.CustomOptions>;
        'poll-interval': Interfaces.OptionFlag<Duration, Interfaces.CustomOptions>;
        async: Interfaces.BooleanFlag<boolean>;
        name: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        'definition-file': Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        'target-org': Interfaces.OptionFlag<import("@salesforce/core").Org, Interfaces.CustomOptions>;
        'no-prompt': Interfaces.BooleanFlag<boolean>;
    };
    private flags;
    private sbxConfig;
    run(): Promise<SandboxCommandResponse>;
    protected getCheckSandboxStatusParams(): string[];
    private refreshSandbox;
    private resolveConfig;
    private validateFlags;
    private initSandboxProcessData;
    private confirmSandboxRefresh;
}
