import { Org } from '@salesforce/core';
import { Duration } from '@salesforce/kit';
import { Interfaces } from '@oclif/core';
import { SandboxCommandBase, SandboxCommandResponse } from '../../../shared/sandboxCommandBase.js';
export default class ResumeSandbox extends SandboxCommandBase<SandboxCommandResponse> {
    static summary: string;
    static description: string;
    static examples: string[];
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static flags: {
        wait: Interfaces.OptionFlag<Duration, Interfaces.CustomOptions>;
        name: Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        'job-id': Interfaces.OptionFlag<string | undefined, Interfaces.CustomOptions>;
        'use-most-recent': Interfaces.BooleanFlag<boolean>;
        'target-org': Interfaces.OptionFlag<Org, Interfaces.CustomOptions>;
    };
    private flags;
    run(): Promise<SandboxCommandResponse>;
    protected getCheckSandboxStatusParams(): string[];
    private createResumeSandboxRequest;
    private resumeSandbox;
    private buildSandboxRequestCacheEntry;
    private verifyIfAuthExists;
}
