import { Logger, SandboxInfo, SandboxRequest, Connection } from '@salesforce/core';
export declare const generateSboxName: () => Promise<string>;
export declare function readSandboxDefFile(defFile: string): Partial<SandboxInfo & {
    ApexClassName?: string;
    ActivationUserGroupName?: string;
    SourceSandboxName?: string;
}>;
export declare function createSandboxRequest(definitionFile: string | undefined, logger?: Logger | undefined, properties?: Record<string, string | undefined>): Promise<{
    sandboxReq: SandboxRequest & {
        ApexClassName: string | undefined;
        ActivationUserGroupName: string | undefined;
    };
    srcSandboxName: string;
    srcId: string;
}>;
export declare function createSandboxRequest(definitionFile: string | undefined, logger?: Logger | undefined, properties?: Record<string, string | undefined>): Promise<{
    sandboxReq: SandboxRequest & {
        ApexClassName: string | undefined;
        ActivationUserGroupName: string | undefined;
    };
}>;
export declare function getApexClassIdByName(conn: Connection, className: string): Promise<string | undefined>;
export declare function getUserGroupIdByName(conn: Connection, groupName: string): Promise<string | undefined>;
export declare function getSrcIdByName(conn: Connection, sandboxName: string): Promise<string | undefined>;
declare const _default: {
    createSandboxRequest: typeof createSandboxRequest;
    generateSboxName: () => Promise<string>;
    readSandboxDefFile: typeof readSandboxDefFile;
    getApexClassIdByName: typeof getApexClassIdByName;
    getUserGroupIdByName: typeof getUserGroupIdByName;
    getSrcIdByName: typeof getSrcIdByName;
};
export default _default;
