import ansis, { type Ansis } from 'ansis';
export declare const boldPurple: ansis.Ansis;
export type State = 'inProgress' | 'completed' | 'failed' | 'unknown';
export type StageAttributes = {
    state: State;
    char: string;
    color: Ansis;
    index: number;
    visited: boolean;
};
export declare const StateConstants: {
    [stage: string]: Omit<StageAttributes, 'index'>;
};
export type Stage = {
    [stage: string]: StageAttributes;
};
export declare abstract class StagedProgress<T> {
    private dataForTheStatus;
    private theStages;
    private currentStage?;
    private previousStage?;
    constructor(stages: string[]);
    get statusData(): T | undefined;
    set statusData(statusData: T | undefined);
    formatStages(): string;
    transitionStages(currentStage: string, newState: State): void;
    markPreviousStagesAsCompleted(currentStage?: string): void;
    updateCurrentStage(newState: State): void;
    updateStages(currentStage: string, newState?: State): void;
    getStages(): Stage;
    protected mapCurrentStage(currentStage: string): string;
    abstract formatProgressStatus(withClock: boolean): string;
}
