import { upperFirst } from '@salesforce/kit';
import { StateAggregator } from '@salesforce/core';
import open from 'open';
export const getAliasByUsername = async (username) => {
    const stateAggregator = await StateAggregator.getInstance();
    const keys = stateAggregator.aliases.getAll(username);
    // use the most recently added alias for that username
    return keys?.length ? keys[keys.length - 1] : undefined;
};
export const openUrl = async (url, options) => open(url, options);
export const lowerToUpper = (object) => 
// the API has keys defined in capital camel case, while the definition schema has them as lower camel case
// we need to convert lower camel case to upper before merging options so they will override properly
Object.fromEntries(Object.entries(object).map(([key, value]) => [upperFirst(key), value]));
export default {
    getAliasByUsername,
    openUrl,
    lowerToUpper,
};
export const isDefined = (value) => value !== undefined && value !== null;
//# sourceMappingURL=utils.js.map