import { SfCommand } from '@salesforce/sf-plugins-core';
import { Org } from '@salesforce/core';
import { PackagingSObjects } from '@salesforce/packaging';
export type PackageInstallRequest = PackagingSObjects.PackageInstallRequest;
export declare class Report extends SfCommand<PackageInstallRequest> {
    static readonly summary: string;
    static readonly examples: string[];
    static readonly deprecateAliases = true;
    static readonly aliases: string[];
    static org: Org;
    static readonly flags: {
        'target-org': import("@oclif/core/interfaces").OptionFlag<Org, import("@oclif/core/interfaces").CustomOptions>;
        'api-version': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        loglevel: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'request-id': import("@oclif/core/interfaces").OptionFlag<string, import("@oclif/core/interfaces").CustomOptions>;
    };
    static parseStatus(binName: string, request: PackageInstallRequest, username: string, alias?: string): string;
    run(): Promise<PackageInstallRequest>;
}
