import { SfCommand } from '@salesforce/sf-plugins-core';
import { PackagingSObjects } from '@salesforce/packaging';
export type Package2Result = Required<Pick<PackagingSObjects.Package2, 'Id' | 'Name'>> & Partial<Pick<PackagingSObjects.Package2, 'SubscriberPackageId' | 'Description' | 'NamespacePrefix' | 'ContainerOptions' | 'ConvertedFromPackageId' | 'PackageErrorUsername' | 'AppAnalyticsEnabled'> & {
    Alias: string;
    CreatedBy: string;
    IsOrgDependent: string;
}>;
export type PackageListCommandResult = Package2Result[];
export declare class PackageListCommand extends SfCommand<PackageListCommandResult> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly deprecateAliases = true;
    static readonly aliases: string[];
    static readonly flags: {
        loglevel: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'target-dev-hub': import("@oclif/core/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/interfaces").CustomOptions>;
        'api-version': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        verbose: import("@oclif/core/interfaces").BooleanFlag<boolean>;
    };
    run(): Promise<PackageListCommandResult>;
    private displayResults;
}
