import { SfCommand } from '@salesforce/sf-plugins-core';
import { PackageVersionCreateRequestResult } from '@salesforce/packaging';
export type CreateListCommandResult = Array<PackageVersionCreateRequestResult & {
    VersionName?: string;
    VersionNumber?: string;
}>;
type Status = 'Queued' | 'InProgress' | 'Success' | 'Error';
export declare class PackageVersionCreateListCommand extends SfCommand<CreateListCommandResult> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly deprecateAliases = true;
    static readonly aliases: string[];
    static readonly flags: {
        loglevel: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'target-dev-hub': import("@oclif/core/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/interfaces").CustomOptions>;
        'api-version': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'created-last-days': import("@oclif/core/interfaces").OptionFlag<number | undefined, import("@oclif/core/interfaces").CustomOptions>;
        status: import("@oclif/core/interfaces").OptionFlag<Status | undefined, import("@oclif/core/interfaces").CustomOptions>;
        'show-conversions-only': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        verbose: import("@oclif/core/interfaces").BooleanFlag<boolean>;
    };
    private connection;
    run(): Promise<CreateListCommandResult>;
    private fetchVerboseData;
}
export {};
