import { SfCommand } from '@salesforce/sf-plugins-core';
import type { DescribeSObjectResult } from '@jsforce/jsforce-node';
export declare class SObjectDescribe extends SfCommand<DescribeSObjectResult> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly flags: {
        'target-org': import("@oclif/core/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/interfaces").CustomOptions>;
        'api-version': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        loglevel: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        sobject: import("@oclif/core/interfaces").OptionFlag<string, import("@oclif/core/interfaces").CustomOptions>;
        'use-tooling-api': import("@oclif/core/interfaces").BooleanFlag<boolean>;
    };
    run(): Promise<DescribeSObjectResult>;
}
