import type { Ansis } from 'ansis';
import { SfCommandError } from './SfCommandError.js';
/**
 * Format errors and actions for human consumption. Adds 'Error (<ErrorCode>):',
 * When there are actions, we add 'Try this:' in blue
 * followed by each action in red on its own line.
 * If Error.code is present it is output last in parentheses
 *
 * @returns {string} Returns decorated messages.
 */
/**
 * Utility function to format actions lines
 *
 * @param actions
 * @param options
 * @private
 */
export declare const formatActions: (actions: string[], options?: {
    actionColor: Ansis;
}) => string[];
export declare const formatError: (error: SfCommandError) => string;
//# sourceMappingURL=errorFormatting.d.ts.map