import type { CustomObject } from '@salesforce/types/metadata';
import { SaveableCustomObject, SaveablePlatformEvent } from './types.js';
/**
 * @param targetPaths typically your pkgDirs or project path
 * @returns directories that end in `/objects/`
 */
export declare const getDirectoriesThatContainObjects: (targetPaths: string[]) => Promise<string[]>;
/**
 * @param targetPaths typically your pkgDirs or project path
 * @returns directories that are children of `/objects/` like `force-app/main/default/objects/Foo__c`
 */
export declare const getObjectDirectories: (targetPaths: string[]) => Promise<string[]>;
/**
 * @param folder folder path to the object name (ex: `force-app/main/default/objects/Account`)
 * @returns CustomObject in json
 */
export declare const getObjectXmlByFolderAsJson: (folder: string) => Promise<CustomObject>;
/**
 *
 * @returns path where the object was written
 */
export declare const writeObjectFile: (objectDirectory: string, object: SaveablePlatformEvent | SaveableCustomObject) => Promise<string>;
