export type PromptInputs<T> = {
    /** text to display.  Do not include a question mark */
    message: string;
    /** after this many ms, the prompt will time out.  If a default value is provided, the default will be used.  Otherwise the prompt will throw an error */
    ms?: number;
    /**
     * default value to offer to the user.  Will be used if the user does not respond within the timeout period.
     */
    defaultAnswer?: T;
};
export declare const confirm: ({ message, ms, defaultAnswer, }: PromptInputs<boolean>) => Promise<boolean>;
export declare const secretPrompt: ({ message, ms }: PromptInputs<string>) => Promise<string>;
export declare const prompts: {
    confirm: ({ message, ms, defaultAnswer, }: PromptInputs<boolean>) => Promise<boolean>;
    secretPrompt: ({ message, ms }: PromptInputs<string>) => Promise<string>;
};
//# sourceMappingURL=prompts.d.ts.map