export declare function table<T extends Record<string, unknown>>(data: T[], columns: Columns<T>, options?: Options): void;
export type Column<T extends Record<string, unknown>> = {
    extended: boolean;
    header: string;
    minWidth: number;
    get(row: T): unknown;
};
export type Columns<T extends Record<string, unknown>> = {
    [key: string]: Partial<Column<T>>;
};
export type Options = {
    columns?: string;
    extended?: boolean;
    filter?: string;
    'no-header'?: boolean;
    'no-truncate'?: boolean;
    rowStart?: string;
    sort?: string;
    title?: string;
    printLine?(s: unknown): void;
};
//# sourceMappingURL=table.d.ts.map