import { Config, Command } from '@oclif/core';
import { AsyncCreatable } from '@salesforce/kit';
import { JsonMap, Optional } from '@salesforce/ts-types';
export type CommandExecutionOptions = {
    command: Partial<Command.Class>;
    argv: string[];
    config: Partial<Config>;
};
type PluginInfo = {
    name: Optional<string>;
    version: Optional<string>;
};
export declare class CommandExecution extends AsyncCreatable {
    status?: number;
    private specifiedFlags;
    private specifiedFlagFullNames;
    private deprecatedFlagsUsed;
    private deprecatedCommandUsed?;
    private command;
    private readonly argv;
    private config;
    private orgId?;
    private devhubId?;
    private orgApiVersion?;
    private devhubApiVersion?;
    private argKeys;
    constructor(options: CommandExecutionOptions);
    /**
     * @deprecated.  Will always return en empty string.
     */
    static resolveVCSInfo(): Promise<string>;
    toJson(): JsonMap;
    getPluginInfo(): PluginInfo;
    getCommandName(): string | undefined;
    protected init(): Promise<void>;
    private determineSpecifiedFlags;
}
export {};
