import { SfCommand } from '@salesforce/sf-plugins-core';
import { Connection } from '@salesforce/core';
export type PasswordData = {
    username?: string;
    password: string;
};
export type GenerateResult = PasswordData | PasswordData[];
export type GenerateInput = {
    usernames: string[];
    conn: Connection;
    length: number;
    complexity: number;
};
export declare abstract class UserPasswordGenerateBaseCommand extends SfCommand<GenerateResult> {
    generate({ usernames, conn, length, complexity }: GenerateInput): Promise<GenerateResult>;
    private print;
}
