import { Connection } from '@salesforce/core';
type SuccessMsg = {
    name: string;
    value: string;
};
type FailureMsg = {
    name: string;
    message: string;
};
export type PSLResult = {
    successes: SuccessMsg[];
    failures: FailureMsg[];
};
export declare const assignPSL: ({ conn, pslName, usernamesOrAliases, }: {
    conn: Connection;
    pslName: string;
    usernamesOrAliases: string[];
}) => Promise<PSLResult>;
/** reduce an array of PSLResult to a single one */
export declare const aggregate: (results: PSLResult[]) => PSLResult;
export declare const resultsToExitCode: (results: PSLResult) => number;
export declare const print: (results: PSLResult) => void;
export {};
