import { SfCommand } from '@salesforce/sf-plugins-core';
export type DisplayUserResult = {
    username: string;
    profileName: string;
    id: string;
    orgId: string;
    accessToken?: string;
    instanceUrl?: string;
    loginUrl?: string;
    alias?: string;
    password?: string;
};
export declare class DisplayUserCommand extends SfCommand<DisplayUserResult> {
    static readonly deprecateAliases = true;
    static readonly aliases: string[];
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly flags: {
        'target-org': import("@oclif/core/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/interfaces").CustomOptions>;
        'api-version': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        loglevel: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
    };
    run(): Promise<DisplayUserResult>;
    private print;
}
