import { SfCommand } from '@salesforce/sf-plugins-core';
export type AuthList = Partial<{
    defaultMarker: string;
    alias: string;
    username: string;
    profileName: string;
    orgId: string;
    accessToken: string;
    instanceUrl: string;
    loginUrl: string;
    userId: string;
}>;
export type ListUsers = AuthList[];
export declare class ListUsersCommand extends SfCommand<ListUsers> {
    static readonly aliases: string[];
    static readonly deprecateAliases = true;
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly flags: {
        'target-org': import("@oclif/core/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/interfaces").CustomOptions>;
        'api-version': import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        loglevel: import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
    };
    run(): Promise<ListUsers>;
}
