"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConvertContext = void 0;
const recompositionFinalizer_1 = require("./recompositionFinalizer");
const nonDecompositionFinalizer_1 = require("./nonDecompositionFinalizer");
const decompositionFinalizer_1 = require("./decompositionFinalizer");
const transactionFinalizer_1 = require("./transactionFinalizer");
const decomposedLabelsFinalizer_1 = require("./decomposedLabelsFinalizer");
const decomposedPermissionSetFinalizer_1 = require("./decomposedPermissionSetFinalizer");
/**
 * A state manager over the course of a single metadata conversion call.
 */
class ConvertContext {
    decomposition = new decompositionFinalizer_1.DecompositionFinalizer();
    recomposition = new recompositionFinalizer_1.RecompositionFinalizer();
    nonDecomposition = new nonDecompositionFinalizer_1.NonDecompositionFinalizer();
    decomposedLabels = new decomposedLabelsFinalizer_1.DecomposedLabelsFinalizer();
    decomposedPermissionSet = new decomposedPermissionSetFinalizer_1.DecomposedPermissionSetFinalizer();
    // eslint-disable-next-line @typescript-eslint/require-await
    async *executeFinalizers(defaultDirectory) {
        for (const member of Object.values(this)) {
            if (member instanceof transactionFinalizer_1.ConvertTransactionFinalizer) {
                yield member.finalize(defaultDirectory);
            }
        }
    }
}
exports.ConvertContext = ConvertContext;
//# sourceMappingURL=convertContext.js.map