import { AnyJson, JsonMap } from '@salesforce/ts-types';
import { MetadataType } from '../../registry';
import { MetadataComponent, SourceComponent } from '../../resolve';
export type ComposedMetadata = {
    tagKey: string;
    tagValue: AnyJson;
    parentType: MetadataType;
    childTypeId?: string;
};
export type ComposedMetadataWithChildType = ComposedMetadata & {
    childType: MetadataType;
};
export type InfoContainer = {
    entryName: string;
    childComponent: MetadataComponent;
    /** the parsed xml */
    value: JsonMap;
    parentComponent: SourceComponent;
    mergeWith?: SourceComponent;
};
