import { ComponentSet, ForceIgnore, RegistryAccess } from '@salesforce/source-deploy-retrieve';
import { ConflictResponse, ChangeResult } from './types';
export declare const throwIfConflicts: (conflicts: ConflictResponse[]) => void;
/**
 *
 * @param cs ComponentSet to compare
 * @param conflicts ChangeResult[] representing conflicts from SourceTracking.getConflicts
 * @returns ConflictResponse[] de-duped and formatted for json or table display
 */
export declare const findConflictsInComponentSet: (cs: ComponentSet, conflicts: ChangeResult[]) => ConflictResponse[];
export declare const getDedupedConflictsFromChanges: ({ localChanges, remoteChanges, projectPath, forceIgnore, registry, }: {
    localChanges: ChangeResult[];
    remoteChanges: ChangeResult[];
    projectPath: string;
    forceIgnore: ForceIgnore;
    registry: RegistryAccess;
}) => ChangeResult[];
