import { MetadataMember, FileResponse, FileResponseFailure, FileResponseSuccess } from '@salesforce/source-deploy-retrieve';
import { ChangeResult } from './types';
import { ChangeResultWithNameAndType } from './types';
export declare const metadataMemberGuard: (input: MetadataMember | undefined | Partial<MetadataMember>) => input is MetadataMember;
export declare const isSdrFailure: (fileResponse: FileResponse) => fileResponse is FileResponseFailure;
export declare const isSdrSuccess: (fileResponse: FileResponse) => fileResponse is FileResponseSuccess;
export declare const FileResponseIsDeleted: (fileResponse: FileResponse) => boolean;
export declare const FileResponseIsNotDeleted: (fileResponse: FileResponse) => boolean;
export declare const FileResponseHasPath: (fileResponse: FileResponseSuccess) => fileResponse is FileResponseSuccess & Required<Pick<FileResponseSuccess, "filePath">>;
export declare const isChangeResultWithNameAndType: (cr?: ChangeResult) => cr is ChangeResultWithNameAndType;
export declare const isDefined: <T>(x: T | undefined) => x is T;
