import { ForceIgnore, RegistryAccess } from '@salesforce/source-deploy-retrieve';
import { ChangeResult } from './types';
/**
 * uses SDR to translate remote metadata records into local file paths (which only typically have the filename).
 *
 * @input elements: ChangeResult[]
 * @input projectPath
 * @input forceIgnore: ForceIgnore.  If provided, result will indicate whether the file is ignored
 * @input excludeUnresolvable: boolean Filter out components where you can't get the name and type (that is, it's probably not a valid source component)
 * @input resolveDeleted: constructs a virtualTree instead of the actual filesystem--useful when the files no longer exist
 */
export declare const populateTypesAndNames: ({ projectPath, forceIgnore, excludeUnresolvable, resolveDeleted, registry, }: {
    projectPath: string;
    forceIgnore?: ForceIgnore;
    excludeUnresolvable?: boolean;
    resolveDeleted?: boolean;
    registry: RegistryAccess;
}) => (elements: ChangeResult[]) => ChangeResult[];
