/**
 * Conventions:
 * _message: is for unformatted text that will be shown as-is to
 * the user.
 * _text: is for text that will appear in the UI, possibly with
 * decorations, e.g., $(x) uses the https://octicons.github.com/ and should not
 * be localized
 *
 * If omitted, we will assume _message.
 */
export declare const messages: {
    AlphaNumericNameError: string;
    NameMustStartWithLetterError: string;
    EndWithUnderscoreError: string;
    DoubleUnderscoreError: string;
    InvalidMimeType: string;
    MissingWaveTemplatesDir: string;
    MissingAuraDir: string;
    MissingLWCDir: string;
    MissingLightningComponentTemplate: string;
    localCustomTemplateDoNotExist: string;
    customTemplatesShouldUseHttpsProtocol: string;
    customTemplatesSupportsGitHubOnly: string;
    customTemplatesInvalidRepoUrl: string;
    customTemplatesCannotRetrieveDefaultBranch: string;
    LightningAppBundle: string;
    LightningComponentBundle: string;
    LightningEventBundle: string;
    LightningInterfaceBundle: string;
    LightningTest: string;
    RawOutput: string;
    templateTypeNotFound: string;
};
