"use strict";
/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.coerceAnyJson = coerceAnyJson;
exports.coerceJsonMap = coerceJsonMap;
exports.coerceJsonArray = coerceJsonArray;
const as_1 = require("./as");
const is_1 = require("./is");
// underlying function
function coerceAnyJson(value, defaultValue) {
    return (0, is_1.isAnyJson)(value) ? value : defaultValue;
}
// underlying function
function coerceJsonMap(value, defaultValue) {
    return (0, as_1.asJsonMap)(coerceAnyJson(value)) ?? defaultValue;
}
// underlying method
function coerceJsonArray(value, defaultValue) {
    return (0, as_1.asJsonArray)(coerceAnyJson(value)) ?? defaultValue;
}
//# sourceMappingURL=coerce.js.map