/**
 * @module types
 */
import { Dictionary } from './collection';
/**
 * Any valid JSON primitive value.
 */
export type JsonPrimitive = null | boolean | number | string;
/**
 * Any valid JSON collection value.
 */
export type JsonCollection = JsonMap | JsonArray;
/**
 * Any valid JSON value.
 */
export type AnyJson = JsonPrimitive | JsonCollection;
/**
 * Any JSON-compatible object.
 */
export interface JsonMap extends Dictionary<AnyJson> {
}
/**
 * Any JSON-compatible array.
 */
export type JsonArray = AnyJson[];
